io.undertow.server.handlers.resource

## Class DefaultResourceSupplier

- java.lang.Object
- - io.undertow.server.handlers.resource.DefaultResourceSupplier

All Implemented Interfaces:
  ResourceSupplier

    public class DefaultResourceSupplier
    extends Object
    implements ResourceSupplier

A resource supplier that just delegates directly to a resource manager

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`DefaultResourceSupplier(ResourceManager resourceManager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Resource` `getResource(HttpServerExchange exchange, String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultResourceSupplier

    public DefaultResourceSupplier(ResourceManager resourceManager)

### Method Detail

#### getResource

    public Resource getResource(HttpServerExchange exchange,
                                String path)
                         throws IOException

Specified by:
  `getResource` in interface `ResourceSupplier`
Parameters:
  `exchange` - The current exchange
  `path` - The path to resolve
Returns:
  A resource to serve
Throws:
  `IOException` - if an error ocured resolving the resource